using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RegularLanguages
{
    public partial class RegexHelpForm : Form
    {
        public RegexHelpForm()
        {
            InitializeComponent();
            this.regexListView.Items.Add("a").SubItems.Add("Matches words containing character a.");
            this.regexListView.Items.Add("^ab").SubItems.Add("Matches words starting with ab.");
            this.regexListView.Items.Add("ab$").SubItems.Add("Matches words ending with ab.");
            this.regexListView.Items.Add("^.$").SubItems.Add("Matches a single character.");
            this.regexListView.Items.Add("\\w\\w").SubItems.Add("Matches words with at least two word characters.");
            this.regexListView.Items.Add("^\\d\\d\\d$").SubItems.Add("Matches three digit numbers.");
            this.regexListView.Items.Add("^[ac]..$").SubItems.Add("Matches words with three characters, starting with a or c.");
            this.regexListView.Items.Add("^[a-c]..$").SubItems.Add("Matches words with three characters, starting with a, b or c.");
            this.regexListView.Items.Add("^a*$").SubItems.Add("Matches words that contain only character a.");
            this.regexListView.Items.Add("^b+$").SubItems.Add("Matches words that contain only character b (at least one).");
            this.regexListView.Items.Add("^c{2,5}$").SubItems.Add("Matches words: cc, ccc, cccc, ccccc.");
            this.regexListView.Items.Add("^(ab){2,3}$").SubItems.Add("Matches words: abab and ababab.");
        }
    }
}